# ACE_Auto_Ptr< X > Class Template Reference

Implements the draft C++ standard auto_ptr abstraction. This version can be used instead of auto_ptr<T>, and obviates the need for the ACE_AUTO_PTR_RESET macro on platforms like VC6 where the auto_ptr<T> is broken. More...

`#include <Auto_Ptr.h>`

Inheritance diagram for ACE_Auto_Ptr< X >:

[legend]
Collaboration diagram for ACE_Auto_Ptr< X >:

[legend]
List of all members.

## Public Member Functions

| ACE_Auto_Ptr (X *p=0)
X * | operator-> () const

## Detailed Description

### template<class X>
class ACE_Auto_Ptr< X >

Implements the draft C++ standard auto_ptr abstraction. This version can be used instead of auto_ptr<T>, and obviates the need for the ACE_AUTO_PTR_RESET macro on platforms like VC6 where the auto_ptr<T> is broken.

## Constructor & Destructor Documentation

template<class X>
ACE_Auto_Ptr< X >::ACE_Auto_Ptr | ( | X * | p = `0` | ) | `[inline, explicit]`

## Member Function Documentation

template<class X>
ACE_INLINE X * ACE_Auto_Ptr< X >::operator-> | ( |  | ) | const

The documentation for this class was generated from the following files:

- Auto_Ptr.h
- Auto_Ptr.inl